package com.ym.mec.auth.api.client.fallback;

import org.springframework.stereotype.Component;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.dto.SysUserInfo;
import com.ym.mec.auth.api.entity.SysUser;

@Component
public class SysUserFeignServiceFallback implements SysUserFeignService {

	@Override
	public SysUserInfo getUser(String username) {
		return new SysUserInfo();
	}

	@Override
	public Object test() {
		System.out.println("******进入服务降级方法******");
		return "服务正在拍";
	}

	@Override
	public SysUser queryUserInfo() {
		System.out.println("********************************");
		return null;
	}

	@Override
	public SysUser getUserByMobile(String mobile) {
		return new SysUser();
	}

	public Object addUser(SysUser user){
		return false;
	}

}
